package com.btcpiyush.ads.google_applovin_unity_ads_example

import io.flutter.embedding.android.FlutterActivity
import io.flutter.embedding.engine.FlutterEngine
import com.btcpiyush.ads.google_applovin_unity_ads.CustomNativeAd
import com.btcpiyush.ads.google_applovin_unity_ads.GoogleApplovinUnityAdsPlugin

class MainActivity: FlutterActivity() {

    override fun configureFlutterEngine(flutterEngine: FlutterEngine) {
        super.configureFlutterEngine(flutterEngine)
        val factory: CustomNativeAd =
            CustomNativeAd(
                layoutInflater
            )
        /*  val geoFactory =
            CustomGeoSdk(
                this
            )   */
        GoogleApplovinUnityAdsPlugin.registerNativeAdFactory(flutterEngine, "nativeFactoryId", factory)
        GoogleApplovinUnityAdsPlugin.registerGeoSdkFactory(CustomGeoSdk(this))
       /* GoogleApplovinUnityAdsPlugin.registerGeoSdkFactory(flutterEngine, "geoSDKFactoryId", geoFactory)*/
    }

    override fun cleanUpFlutterEngine(flutterEngine: FlutterEngine) {
        GoogleApplovinUnityAdsPlugin.unregisterNativeAdFactory(flutterEngine, "nativeFactoryId")
        /*GoogleApplovinUnityAdsPlugin.unregisterGeoedgeSdkFactory(flutterEngine, "geoSDKFactoryId")*/
    }

}